{% extends 'course/base_template.html' %}

{% block content1 %}
<header class="masthead" style="background:linear-gradient(141deg, #0fb8ad 0%, #1fc8db 51%, #2cb5e8 75%);">
  <div class="container h-100 pt-5">
    <h2>Login</h2>
{% if form.errors %}
<p>Your username and password didn't match. Please try again.</p>
{% endif %}

{% if next %}
    {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
    {% else %}
    <p>Please login to see this page.</p>
    {% endif %}
{% endif %}
<div class="" style="width: 90%;">
<div class="container-fluid">
<form method="post" action="{% url 'course:login' %}">
{% csrf_token %}

<div class="form-row m-3">
  <div class="col-8">
    <label for="id_username" class="form-group has-float-label">
    <input type="text" name="username" required id="id_username" class="form-control" minlength="4"  placeholder="Enter Username">
    <span>Username</span>
    </label>
  </div>
</div>
  <div class="form-row m-3">
  <div class="col-8">
    <label class="form-group has-float-label" for="id_password">
    <input type="password" name="password" required="" id="id_password" class="form-control" minlength="4"  placeholder="Enter Email">
    <span>Password</span>
    </label>

  </div>

</div>
<div class="form-row m-3">
  <div class="col-5">
<input type="submit" class="btn btn-primary" value="login" />
<input type="hidden" name="next" value="{{ next }}" />
</div>
</div>
</div>
</form>
</div>
</div>
</header>
{# Assumes you setup the password_reset view in your URLconf #}


{% endblock %}
